### Constructor

# Gtk Picture new_for_filename

#### Declaration [src]

    GtkWidget*
    gtk_picture_new_for_filename (
      const char* filename
    )

#### Description [src]

Creates a new `GtkPicture` displaying the file `filename`.

This is a utility function that calls gtk_picture_new_for_file(). See that function for details.

#### Parameters

`filename` | `const char*`
| A filename.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The string is a file system path, using the OS encoding.

#### Return value

Returns: | `GtkWidget`
| A new `GtkPicture`.
| The data is owned by the called function.